import argparse
import asyncio

import aiohttp

from v6d0auth import certs
from v6d0auth.config import port, host

parser = argparse.ArgumentParser()
parser.add_argument('handle', type=str)


async def main():
    handle = bytes.fromhex(args.handle)
    request = certs.sign(handle)
    async with aiohttp.ClientSession() as session:
        # noinspection HttpUrlsUsage
        async with session.post(f'http://{host}:{port}/approve', data=request) as response:
            print(response.status)
            if response.status == 200:
                print((await response.read()).hex())
            else:
                print(await response.text())


if __name__ == '__main__':
    args = parser.parse_args()
    asyncio.run(main())
